org.apache.ignite.internal.pagemem.wal.record

## Enum WALRecord.RecordPurpose

- java.lang.Object
- - java.lang.Enum<WALRecord.RecordPurpose>
  - - org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordPurpose

All Implemented Interfaces:
  Serializable, Comparable<WALRecord.RecordPurpose>

Enclosing class:
  WALRecord

    public static enum WALRecord.RecordPurpose
    extends Enum<WALRecord.RecordPurpose>

Record purposes set.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CUSTOM` Custom records are needed for any custom iterations over WAL in various components.
`INTERNAL` Internal records are needed for correct iterating over WAL structure.
`LOGICAL` Logical records are needed to replay logical updates since last checkpoint.
`MIXED` Physical-logical records are used both for physical and logical recovery.
`PHYSICAL` Physical records are needed for correct recovering physical state of `PageMemory`.

### Method Summary

All Methods Static Methods Concrete Methods
`static WALRecord.RecordPurpose` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WALRecord.RecordPurpose[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTERNAL

    public static final WALRecord.RecordPurpose INTERNAL

Internal records are needed for correct iterating over WAL structure. These records will never be returned to user during WAL iteration.

#### PHYSICAL

    public static final WALRecord.RecordPurpose PHYSICAL

Physical records are needed for correct recovering physical state of `PageMemory`. `GridCacheDatabaseSharedManager.restoreBinaryMemory( org.apache.ignite.lang.IgnitePredicate, org.apache.ignite.lang.IgniteBiPredicate)`.

#### LOGICAL

    public static final WALRecord.RecordPurpose LOGICAL

Logical records are needed to replay logical updates since last checkpoint. `GridCacheDatabaseSharedManager.applyLogicalUpdates(CheckpointStatus, org.apache.ignite.lang.IgnitePredicate, org.apache.ignite.lang.IgniteBiPredicate, boolean)`

#### MIXED

    public static final WALRecord.RecordPurpose MIXED

Physical-logical records are used both for physical and logical recovery. Usually these records contain meta-information about partitions. NOTE: Not recommend to use this type without strong reason.

#### CUSTOM

    public static final WALRecord.RecordPurpose CUSTOM

Custom records are needed for any custom iterations over WAL in various components.

### Method Detail

#### values

    public static WALRecord.RecordPurpose[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WALRecord.RecordPurpose c : WALRecord.RecordPurpose.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WALRecord.RecordPurpose valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023